.intro {
  &__nav-wrapper {
    display: grid;
    grid-template-columns: 1fr;
    justify-content: center;
    align-items: center;
    padding-top: 20px;
    padding-bottom: 20px;
    font-family: "Montserrat", arial, sans-serif;
  }
}

.menu {
  @media (min-width: $sm) {
    max-width: $md;
    display: grid;
    grid-template-columns: 1fr;

    justify-self: center;
  }
  @media (min-width: $md) {
    max-width: $lg;

    justify-self: center;
  }

  justify-self: end;
  width: 44px;
  height: 38px;
  background-color: #000000;

  &__btn > span,
  &__btn > span::before,
  &__btn > span::after {
    @media (min-width: $sm) {
      max-width: $md;
      display: none;
    }
    display: block;
    position: relative;
    width: 18px;
    height: 2px;
    top: 18px;
    left: 13px;

    background-color: #ffffff;
  }
  &__btn > span::before {
    content: "";
    position: absolute;
    left: auto;
    top: -4px;

    transition: top 300ms 300ms, transform 300ms cubic-bezier(0.23, 1, 0.32, 1);
  }
  &__btn > span::after {
    content: "";
    position: absolute;
    top: 4px;
    left: auto;

    transition: top 300ms 300ms, transform 300ms cubic-bezier(0.23, 1, 0.32, 1);
  }
  // -------
  &__btn > span.active {
    transform: rotate(0);
    background-color: initial;
  }

  &__btn > span.active:before {
    content: "";
    top: 0;
    left: 0;

    transform: rotate(45deg);
    transition: top 300ms,
      transform 300ms 300ms cubic-bezier(0.68, -0.55, 0.265, 1.55);
  }
  &__btn > .active:after {
    content: "";
    top: 0;
    transform: rotate(-45deg);
    transition: bottom 300ms,
      transform 300ms 300ms cubic-bezier(0.68, -0.55, 0.265, 1.55);
  }

  // -----
  &__box {
    @media (min-width: $sm) {
      max-width: $md;
      position: initial;
      visibility: visible;
      display: grid;
      grid-auto-flow: column;
      column-gap: 29px;
      width: 100%;
      background: none;
      justify-content: center;
      box-shadow: none;
    }
    display: block;
    position: absolute;
    visibility: hidden;
    top: 58px;
    right: 10px;
    width: 182px;
    height: auto;
    padding: 8px 0 8px 0;
    background-color: #f5f5f5;
  }

  &__item {
    position: relative;
  }
  &__item-link {
    @media (min-width: $sm) {
      max-width: $md;
      border-bottom: none;
      font-size: 16px;
      line-height: 18px;
      padding: 0;
      text-align: center;

      font-weight: bold;
    }
    display: block;
    color: $title-col;
    font-size: 26px;
    line-height: 26px;
    text-align: left;
    text-decoration: none;
    padding: 29px 0 21px 32px;
  }

  &__item-link:active:focus {
    color: $hover-col;
  }

  &__item-link:active:focus::before {
    @media (min-width: $sm) {
      max-width: $md;
      visibility: hidden;
    }

    visibility: visible;
  }
  &__item-link:hover {
    $forMedia: (
      color: (
        md: $hover-col,
      ),
    );
    @include media($forMedia);
  }
}

.show {
  visibility: visible;
}
